package ru.ulstu.configuration;

import org.hibernate.validator.constraints.NotBlank;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
import org.springframework.validation.annotation.Validated;

@Component
@ConfigurationProperties(prefix = "ng-tracker")
@Validated
public class ApplicationProperties {
    @NotBlank
    private String baseUrl;
    @NotBlank
    private String undeadUserLogin;
    private boolean devMode;

    public String getBaseUrl() {
        return baseUrl;
    }

    public void setBaseUrl(String baseUrl) {
        this.baseUrl = baseUrl;
    }

    public String getUndeadUserLogin() {
        return undeadUserLogin;
    }

    public void setUndeadUserLogin(String undeadUserLogin) {
        this.undeadUserLogin = undeadUserLogin;
    }

    public boolean isDevMode() {
        return devMode;
    }

    public void setDevMode(boolean devMode) {
        this.devMode = devMode;
    }
}
